Subject: Re: [PATCH net-next] net: ipv6: addrconf: Add accept_ra_prefix_route.

From: [email-masked]
Date: Fri, 12 Mar 2021 16:30:01 -0700

> sysctl's are not free and in this case you want to add a second one to
> pick and choose which data in the message you want the kernel to act 
> on.
> 
> Why can't the userspace daemon remove the route and add the one it
> prefers? Or add another route with a metric that makes it the preferred
> route making the kernel one effectively moot?

As I recall, kernel was adding back the prefix based route when it is
deleted by userspace. I'll check this again to confirm the behavior
and also try installing the routes with lower metric.